Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs	(revision 54)
@@ -301,9 +839,794 @@
             }
             finally
             {
+                ProDB.commit();
+                AttendDB.commit();
+                DetailDB.commit();
+
+                ProDB.close(); ProDB = null;
+                AttendDB.close(); AttendDB = null;
+                DetailDB.close(); DetailDB = null;
             }
         }
         #endregion
 
+        #region 参照モード
+        /// <summary>
+        /// 参照モードにして各コントロールへロックをかける
+        /// </summary>
+        private void SeeModeLock()
+        {
+            try
+            {
+                numUD1.Enabled = false;
+                numUD2.Enabled = false;
+                numUD3.Enabled = false;
+                numUD4.Enabled = false;
+
+                cmbDepartment.Enabled = false;
+                cmbConstructionPerson.Enabled = false;
+                textBox1.Enabled = false;
+
+                dgvAllDisplay.ReadOnly = true;
+                dgvPerson.ReadOnly = true;
+
+                // 最後にボタンの処理を行う
+                btnDispUp.Enabled = false;
+                btnDispDown.Enabled = false;
+
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                LineButtonCtrl(false);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 行ボタン表示コントロール
+        /// <summary>
+        /// 行ボタン表示コントロール
+        /// </summary>
+        /// <param name="bPara"></param>
+        private void LineButtonCtrl(bool bPara)
+        {
+            try
+            {
+                btnLineAdd.Visible = bPara;
+                btnLineDel.Visible = bPara;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 初期時にコンボボックスをセットする
+        /// <summary>
+        /// 初期時にコンボボックスをセットする
+        /// </summary>
+        private void InitCombValueSet()
+        {
+            try
+            {
+                cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                SetcombBoxPerson();
+                cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+
+                numUD1.Minimum = 0;
+                numUD1.Maximum = 23;
+                numUD2.Minimum = 0;
+                numUD2.Maximum = 59;
+
+                numUD3.Minimum = 0;
+                numUD3.Maximum = 23;
+                numUD4.Minimum = 0;
+                numUD4.Maximum = 59;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックスをセットする
+        /// <summary>
+        /// 担当者コンボボックスへ文字をセットする
+        /// </summary>
+        private void SetcmbPersons()
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>();
+            bool bSave = m_bInitFlg;
+            m_bInitFlg = true;
+            try
+            {
+                cmbConstructionPerson.DataSource = null;
+                cmbConstructionPerson.Items.Clear();
+                cmbConstructionPerson.Text = "";
+
+                string strSQL = string.Empty;
+                int DepartmentCode = GetDepartmentCode();
+                if (DepartmentCode == 0)
+                    strSQL = " WHERE DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC";
+                else
+                    strSQL = string.Format(" WHERE DEPARTMENTCODE = {0} AND DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC", DepartmentCode);
+
+                // 担当者マスタ読込
+                if (!picDB.SelectAction(strSQL, ref workList)) return;
+
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (PersonInChargeMaster work in workList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(work.PersonCode, work.PersonName);
+
+                    ConstructionDataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, ConstructionDataList);
+
+                return;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+                m_bInitFlg = bSave;
+            }
+        }
+        #endregion
+
+        #region 部署コンボより担当者コードを取得する
+        /// <summary>
+        /// 部署コンボより担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetDepartmentCode()
+        {
+            try
+            {
+                // 表示されていない場合は選択無
+                //if (!cmbDepartment.Visible) return 0;
+
+                return CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボより担当者コードを取得する
+        /// <summary>
+        /// 担当者コンボより担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetConstructionPersonCode()
+        {
+            try
+            {
+                // 表示されていない場合はログインユーザーを返す
+                if (!cmbConstructionPerson.Visible)
+                {
+                    return CommonMotions.LoginUserData.PersonCode;
+                }
+
+                return CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region 部署コンボボックスをセットする
+        /// <summary>
+        /// 部署コンボボックスへ文字をセットする
+        /// </summary>
+        private bool SetcmbDepartment()
+        {
+            IOMDepartment depDB = new IOMDepartment();
+            bool bSave = m_bInitFlg;
+            m_bInitFlg = true;
+            try
+            {
+                cmbDepartment.DataSource = null;
+                cmbDepartment.Items.Clear();
+                cmbDepartment.Text = "";
+
+                string strSQL = string.Empty;
+                // 部署マスタを検索する
+                strSQL = "SELECT A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER, COUNT(*)";
+                strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B";
+                strSQL += " WHERE A.DELETEFLG = 0";
+
+                //if (CommonMotions.LoginUserData.PersonCode != CommonDefine.AdminCode)
+                //{
+                //    // 参照部署マスタより取得する
+                //    strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
+                //    strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                //}
+
+                strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
+                strSQL += " GROUP BY A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER";
+                strSQL += " ORDER BY A.DISPLAYORDER ASC";
+
+                // 部署マスタ読込
+                ArrayList arList = new ArrayList();
+                if (!depDB.ExecuteReader(strSQL, ref arList)) return false;
+
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (object[] work in arList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(CommonMotions.cnvInt(work[0])
+                                                                                    , CommonMotions.cnvString(work[1]));
+
+                    ConstructionDataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbDepartment, ConstructionDataList);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                depDB.close(); depDB = null;
+                m_bInitFlg = bSave;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックスデータセット
+        /// <summary>
+        /// 担当者コンボボックスへ文字をセットする
+        /// </summary>
+        private void SetcombBoxPerson()
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            bool bSave = m_bInitFlg;
+            m_bInitFlg = true;
+            try
+            {
+                cmbConstructionPerson.DataSource = null;
+                cmbConstructionPerson.Items.Clear();
+                cmbConstructionPerson.Text = "";
+
+                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>();
+                string strSQL = string.Empty;
+                int DepartmentCode = GetDepartmentCode();
+                if (DepartmentCode == 0)
+                    strSQL = " WHERE DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC";
+                else
+                    strSQL = string.Format(" WHERE DEPARTMENTCODE = {0} AND DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC", DepartmentCode);
+
+                // 担当者マスタ読込
+                if (!picDB.SelectAction(strSQL, ref workList)) return;
+
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (PersonInChargeMaster work in workList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(work.PersonCode, work.PersonName);
+
+                    ConstructionDataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, ConstructionDataList);
+
+                return;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+                m_bInitFlg = bSave;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックスセット時部署をセットする
+        /// <summary>
+        /// 担当者コンボボックスセット時部署をセットする
+        /// </summary>
+        /// <returns></returns>
+        private bool SetPerosonToDepartment()
+        {
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+            try
+            {
+                // コンボボックスより選択担当者を取得する
+                int PersonCode = GetConstructionPersonCode();
+                if (PersonCode < 1) return false;
+
+                int DepartmentCode = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+
+                string strSQL = PersonDB.CreatePrimarykeyString(PersonCode);
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                PersonDB.SelectAction(strSQL, ref PersonRec);
+
+                // 部署コンボボックスへ部署コードセット
+                if (PersonRec.DepartmentCode > 0 && DepartmentCode != PersonRec.DepartmentCode)
+                {
+                    bool bSave = m_bInitFlg;
+                    m_bInitFlg = true;
+                    cmbDepartment.SelectedValue = PersonRec.DepartmentCode;
+                    SetcombBoxPerson();    // 担当者コンボボックス変更
+                    cmbConstructionPerson.SelectedValue = PersonCode;
+                    m_bInitFlg = bSave;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                PersonDB.close(); PersonDB = null;
+            }
+        }
+        #endregion
+
+        #region 初期時申請・承認表示処理
+        /// <summary>
+        /// 初期時申請・承認表示処理
+        /// </summary>
+        private void InitApprovalDisplay()
+        {
+            try
+            {
+                // 承認コード取得
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("議事録承認")).Key;
+
+                // 起動元のリストに承認画面があれば表示しない
+                if (ClsApprovalPermission.ExceApprovalScreen())
+                {
+                    pnlApproval.Visible = false;
+                }
+
+                // 承認ボタン・件数の非表示
+                btnApproval.Visible = false;
+                lblApprovalCount.Visible = false;
+
+                // ----- 初期時は申請ボタンのサイズを最大にする
+                btnPetition.Size = new Size(250, btnPetition.Size.Height);
+
+                // ----- 工事コード・承認機能番号取得（申請レコードがなお場合は未申請）
+                if (!ClsApprovalPermission.CheckProcessPetition(m_ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo)) return;
+
+                // ----- 申請済の場合
+                // 申請ボタンの表示
+                btnPetition.Text = CommonDefine.PetitionButtonString[1];
+                btnPetition.ForeColor = Color.Black;
+                btnPetition.Size = btnApproval.Size;
+                btnPetition.Enabled = false;
+
+                // 承認ボタンの表示
+                btnApproval.Visible = true;
+
+                // ----- 承認済の場合
+                if (ClsApprovalPermission.CheckProcessApproval(m_ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo))
+                {
+                    btnApproval.Text = CommonDefine.ApprovalButtonString[1];
+                    btnApproval.ForeColor = Color.Black;
+                    // 承認済みの場合は入力できない
+                    SeeModeLock();
+                }
+
+                // 承認件数の表示
+                lblApprovalCount.Visible = true;
+                SetApprovalCount();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 承認数表示
+        /// <summary>
+        /// 承認件数のセット
+        /// </summary>
+        private void SetApprovalCount()
+        {
+            try
+            {
+                // 初期値セット
+                lblApprovalCount.Text = "";
+
+                // 工事コード・承認機能番号取得
+                int iConstructionCode = m_ConstructionBaseInfo.ConstructionCode;
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("議事録承認")).Key;
+                // 担当部署取得
+                int DepartmentCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(m_ConstructionBaseInfo.ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo);
+
+                // 承認データ取得
+                int ApprovalCount = ClsApprovalPermission.GetProcessApprovalDataCount(iConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo);
+
+                // 承認経路マスタ取得
+                int MasterCount = ClsApprovalPermission.GetApprovalMasterCount(iApprovalCode, DepartmentCode);
+
+                // 初期値セット
+                lblApprovalCount.Text = string.Format("{0}/{1}", ApprovalCount, MasterCount);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region グリッド最終行追加処理
+        /// <summary>
+        /// グリッド最終行追加処理
+        /// </summary>
+        private void GridLastLine(DataGridView dgv)
+        {
+            try
+            {
+                // 最終行判定
+                if (dgv.CurrentCell.RowIndex != (dgv.Rows.Count - 1)) return;
+
+                // 1行追加
+                int iLinecnt = dgv.Rows.Add();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region グリッド行挿入処理
+        /// <summary>
+        /// グリッド行挿入処理
+        /// </summary>
+        private void GridInsertLine(DataGridView dgv)
+        {
+            try
+            {
+                int CurrentRowCnt = dgv.CurrentRow.Index;
+
+                if (CurrentRowCnt == (dgv.RowCount - 1))
+                {
+                    // 最終行は1行追加
+                    dgv.Rows.Add(1);
+                }
+                else
+                {
+                    // 以外は下に1行挿入
+                    dgv.Rows.Insert(CurrentRowCnt + 1, 1);
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region グリッド行削除処理
+        /// <summary>
+        /// グリッド行削除処理
+        /// </summary>
+        private void GridRemoveLine(DataGridView dgv)
+        {
+            try
+            {
+                int CurrentRowCnt = dgv.CurrentRow.Index;
+                bool bDelFlg = true;
+
+                if (dgv == dgvAllDisplay)
+                {
+                    if (dgv.RowCount <= s_DetailRow) bDelFlg = false;
+                }
+                else if (dgv == dgvPerson)
+                {
+                    if (dgv.RowCount <= s_PersonRow) bDelFlg = false;
+                }
+                if (bDelFlg)
+                {
+                    // 1行削除
+                    dgv.Rows.RemoveAt(CurrentRowCnt);
+                }
+                else
+                {
+                    foreach (DataGridViewCell CurCell in dgv.Rows[CurrentRowCnt].Cells)
+                    {
+                        CurCell.Value = string.Empty;
+                    }
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 明細行アップ処理
+        /// <summary>
+        /// 明細行アップ処理
+        /// </summary>
+        private void UpLineData()
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                DataGridViewRow wrkrow = dgv.CurrentRow;
+
+                // 先頭行は処理しない
+                if (wrkrow.Index == 0) return;
+                
+                // 無効行は処理しない
+                if (CommonMotions.chkObjectIsNull(dgv.CurrentRow.Cells[(int)DispGridColumn.No].Value)
+                    && CommonMotions.chkObjectIsNull(dgv.CurrentRow.Cells[(int)DispGridColumn.Titile].Value)
+                    && CommonMotions.chkObjectIsNull(dgv.CurrentRow.Cells[(int)DispGridColumn.Detail].Value)) return;
+
+                // グリッドアップキー処理
+                DataGridViewAction.GridRowUpAction(dgv, (int)DispGridColumn.No, (int)DispGridColumn.Detail);
+
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 明細行ダウン処理
+        /// <summary>
+        /// 明細行ダウン処理
+        /// </summary>
+        private void DownLineData()
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                DataGridViewRow wrkrow = dgv.CurrentRow;
+
+                // 無効行は処理しない
+                if (CommonMotions.chkObjectIsNull(dgv.CurrentRow.Cells[(int)DispGridColumn.No].Value)
+                    && CommonMotions.chkObjectIsNull(dgv.CurrentRow.Cells[(int)DispGridColumn.Titile].Value)
+                    && CommonMotions.chkObjectIsNull(dgv.CurrentRow.Cells[(int)DispGridColumn.Detail].Value)) return;
+
+                // グリッドダウンキー処理
+                DataGridViewAction.GridRowDownAction(dgv, (int)DispGridColumn.No, (int)DispGridColumn.Detail);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 指定日より前（後）のデータを取得して処理日付を変える
+        /// <summary>
+        /// 指定日より前（後）のデータを取得して処理日付を変える
+        /// </summary>
+        private void GetPrevNextData(int ReadPoint = 0)
+        {
+            try
+            {
+                DateTime dtWork = GetFPNDataDate(ReadPoint);
+                // 未来の日報は入力できない
+                if (dtWork > DateTime.Now) return;
+
+                dtMeetingDate.Value = dtWork;
+
+                // データ表示
+                InitDataLoad();
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 指定日より先頭・前・後のデータ日付を取得する
+        /// <summary>
+        /// 指定日より先頭・前・後のデータ日付を取得する
+        /// </summary>
+        private DateTime GetFPNDataDate(int ReadPoint)
+        {
+            DateTime dtRet = DateTime.Now;
+            IOProceedingsData ProDB = new IOProceedingsData();
+            try
+            {
+                string strSQL = string.Empty;
+
+                switch (ReadPoint)
+                {
+                    case (int)ReadData.First:
+                        strSQL = "SELECT MIN(PROCEEDINGSDATADATE) FROM PROCEEDINGSDATA";
+                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        break;
+                    case (int)ReadData.Previous:
+                        strSQL = "SELECT MAX(PROCEEDINGSDATADATE) FROM PROCEEDINGSDATA";
+                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        strSQL += string.Format(" AND TRUNC(PROCEEDINGSDATADATE) < TO_DATE('{0}','YYYY/MM/DD')", dtMeetingDate.Value.ToShortDateString());
+                        break;
+                    case (int)ReadData.Next:
+                        strSQL = "SELECT MIN(PROCEEDINGSDATADATE) FROM PROCEEDINGSDATA";
+                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        strSQL += string.Format(" AND TRUNC(PROCEEDINGSDATADATE) > TO_DATE('{0}','YYYY/MM/DD')", dtMeetingDate.Value.ToShortDateString());
+                        break;
+                    case (int)ReadData.Final:
+                        strSQL = "SELECT MAX(PROCEEDINGSDATADATE) FROM PROCEEDINGSDATA";
+                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        break;
+                }
+                ArrayList arList = new ArrayList();
+                if (ProDB.ExecuteReader(strSQL, ref arList))
+                {
+                    object[] objRec = (object[])arList[0];
+                    dtRet = CommonMotions.cnvDate(objRec[0]);
+                }
+
+                return dtRet;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return dtRet;
+            }
+            finally
+            {
+                ProDB.close(); ProDB = null;
+            }
+        }
+        #endregion
+
+        // -------------------- 印刷処理
+        #region 印刷時ボタン制御
+        /// <summary>
+        /// 印刷時ボタン制御
+        /// </summary>
+        /// <param name="bprint"></param>
+        private void PrintButtonVisbleControl(bool bprint)
+        {
+            panel2.Visible = !bprint;
+
+            panel1.Enabled = !bprint;
+            pnlBase.Enabled = !bprint;
+
+            btnOtherProc.Visible = !bprint;
+            btnFirst.Visible = !bprint;
+            btnFinal.Visible = !bprint;
+            btnProv.Visible = !bprint;
+            btnNext.Visible = !bprint;
+
+            btnLineAdd.Visible = !bprint;
+            btnLineDel.Visible = !bprint;
+
+            btnDataEntry.Visible = !bprint;
+            btnDataDelete.Visible = !bprint;
+            btnEnd.Visible = !bprint;
+
+            if (bprint)
+            {
+                btnPrint.Visible = false;
+                btnCancel.Visible = true;
+            }
+            else
+            {
+                btnPrint.Visible = true;
+                btnCancel.Visible = false;
+            }
+        }
+        #endregion
+
+        #region 印刷処理
+        /// <summary>
+        /// 印刷処理
+        /// </summary>
+        private void PrintOutProceed()
+        {
+            FrmSaveFilePath frm = new FrmSaveFilePath();
+            FrmPrintConfirmation frmPrint = new FrmPrintConfirmation();
+            try
+            {
+                // 工事番号のセット
+                frmPrint.ConstructionCode = m_ConstructionCode;
+                // 処理番号セット
+                frmPrint.ExecuteProcNo = (int)ClsExcute.ProcessExecuteNo.Proceedings;
+
+                // ウィンドウ表示
+                frmPrint.ShowDialog();
+
+                // 終了状態
+                m_PrintresRet = frmPrint.EndButton;
+
+                // 印刷範囲
+                m_PrintRange = frmPrint.PrintRange;
+                // 印刷開始日
+                m_PrintStartDate = frmPrint.StartDate;
+                // 印刷終了日
+                m_PrintCompDate = frmPrint.CompDate;
+
+                // キャンセルは処理しない
+                if (m_PrintresRet == DialogResult.Cancel) return;
+
+                // EXCEL保存時選択
+                if (m_PrintresRet == DialogResult.No)
+                {
+                    // 保存先を選択する
+                    frm.SaveType = (int)CommonDefine.SaveFileType.ExcelFile;
+
+                    //frm.ShowInTaskbar = false;
+
+                    frm.ShowDialog();
+                    if (frm.EndButton == DialogResult.Cancel) return;
+                    m_SelectSaveExcel = frm.SelectPath;
+                }
+
+
+                // 印刷プロセス数取得
+                m_ProcessCount = GetProcessCount() + 2;       // 枚数＋ＥＸＣＥＬオブジェクト取得(2)
+                PrintProgress.Visible = true;
+                PrintProgress.Minimum = 0;
+                PrintProgress.Maximum = m_ProcessCount;
+                PrintProgress.Value = 0;
+
+                m_Canceled = false;
+                // ボタンの変更
+                PrintButtonVisbleControl(true);
+
+                //印刷を別スレッドで実行する
+                m_ProgressCount = 0;
+                workerThread = new System.Threading.Thread(new System.Threading.ThreadStart(PrintMain));
+                workerThread.IsBackground = true;
+                workerThread.Start();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Close(); frm = null;
+                frmPrint.Close(); frmPrint = null;
+            }
+        }
+        #endregion
+
+        // -------------------- 印刷処理
     }
 }
